---
title: MediaStreamTrack.onended
slug: Web/API/MediaStreamTrack/onended
tags:
  - API
  - Event Handler
  - Media Streams API
  - MediaStreamTrack
  - Property
  - Reference
  - onended
---
<p>{{ APIRef("Media Capture and Streams") }}</p>

<p>The <code><strong>MediaStreamTrack.onended</strong></code> event handler is used to specify a function which serves as an {{domxref("EventHandler")}} to be called when the <code><a href="/en-US/docs/Web/API/MediaStreamTrack/ended_event">ended</a></code> event occurs on the track. This event occurs when the track will no longer provide data to the stream for any reason, including the end of the media input being reached, the user revoking needed permissions, the source device being removed, or the remote peer ending a connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>MediaStreamTrack</em>.onended = <em>function</em>;
</pre>

<h3 id="Value">Value</h3>

<p>A function to serve as an {{domxref("EventHandler")}} for the <code><a href="/en-US/docs/Web/API/MediaStreamTrack/ended_event">ended</a></code> event. The event handler function receives a single parameter: the event object, which is a simple {{domxref("Event")}} object.</p>

<h2 id="Examples">Examples</h2>

<p>This example sets up an event handler for the <code>ended</code> event which changes an on-screen icon to indicate that the track is no longer active.</p>

<pre class="brush: js">track.onended = function(event) {
  let statusElem = document.getElementById("status-icon");

  statusElem.src = "/images/stopped-icon.png";
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Media Capture', '#dom-mediastreamtrack-onended', 'MediaStreamTrack.onended') }}</td>
   <td>{{ Spec2('Media Capture') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrack.onended")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The <code><a href="/en-US/docs/Web/API/MediaStreamTrack/ended_event">ended</a></code> event and its type, {{domxref("Event")}}.</li>
</ul>
